Name:           maven-rar-plugin
Version:        2.4
Release:        2%{?dist}
Summary:        Plugin to create Resource Adapter Archive which can be deployed to a J2EE server

License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-rar-plugin/
Source0:        http://archive.apache.org/dist/maven/plugins/%{name}-%{version}-source-release.zip

Patch0:         fix-tests.patch

BuildArch: noarch

BuildRequires: maven-local

%description
A resource adapter is a system-level software driver that 
a Java application to connect to an enterprise 
information system (EIS).The RAR plugin has the capability 
to store these resource adapters to an archive 
(Resource Adapter Archive or RAR) which can be deployed to
 a J2EE server.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q 
%patch0

# Fix deps to build against maven 3
%pom_remove_dep org.apache.maven:maven-project
%pom_add_dep org.apache.maven:maven-compat
%pom_add_dep org.apache.maven:maven-core
%pom_add_dep junit:junit::test

# To make tests work
%pom_remove_dep org.apache.maven:maven-artifact
%pom_add_dep org.apache.maven:maven-artifact

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Mat Booth <mat.booth@redhat.com> - 2.4-1
- Update to latest upstream 2.4 and fix tests
- Drop ancient obsoletes/provides

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.3-2
- Use Requires: java-headless rebuild (#1067528)

* Mon Sep 02 2013 Mat Booth <fedora@matbooth.co.uk> - 2.3-1
- Update for latest guidelines, rhbz #992198
- Update to latest upstream version 2.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.2-9
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Alexander Kurtakov <akurtako@redhat.com> 2.2-6
- Add patch to fix build with maven 3.

* Fri Jun 17 2011 Alexander Kurtakov <akurtako@redhat.com> 2.2-5
- Build with maven 3.x.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jun 04 2010 Yong Yang <yyang@redhat.com> 2.2-3
- Fix Source0 comment, typo

* Thu Jun 03 2010 Yong Yang <yyang@redhat.com> 2.2-2
- Format description 
- Fix Obsoletes and Provides
- Use bz2 to compress source
- Add reason for ignore failure of test

* Tue Jun 01 2010 Yong Yang <yyang@redhat.com> 2.2-1
- Initial package.
